<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
Class Hierarchy
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Class Hierarchy";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="org/bitfountain/gui/package-tree.html">org.bitfountain.gui</A>, <A HREF="org/bitfountain/gui/client/package-tree.html">org.bitfountain.gui.client</A>, <A HREF="org/bitfountain/gui/client/catalog/package-tree.html">org.bitfountain.gui.client.catalog</A>, <A HREF="org/bitfountain/gui/client/download/package-tree.html">org.bitfountain.gui.client.download</A>, <A HREF="org/bitfountain/gui/client/items/package-tree.html">org.bitfountain.gui.client.items</A>, <A HREF="org/bitfountain/gui/client/transfer/package-tree.html">org.bitfountain.gui.client.transfer</A>, <A HREF="org/bitfountain/gui/client/upload/package-tree.html">org.bitfountain.gui.client.upload</A>, <A HREF="org/bitfountain/gui/notifications/package-tree.html">org.bitfountain.gui.notifications</A>, <A HREF="org/bitfountain/gui/server/package-tree.html">org.bitfountain.gui.server</A>, <A HREF="org/bitfountain/io/package-tree.html">org.bitfountain.io</A>, <A HREF="org/bitfountain/math/package-tree.html">org.bitfountain.math</A>, <A HREF="org/bitfountain/math/reedsolomon/package-tree.html">org.bitfountain.math.reedsolomon</A>, <A HREF="org/bitfountain/math/reedsolomon/decoding/package-tree.html">org.bitfountain.math.reedsolomon.decoding</A>, <A HREF="org/bitfountain/math/reedsolomon/encoding/package-tree.html">org.bitfountain.math.reedsolomon.encoding</A>, <A HREF="org/bitfountain/math/reedsolomon/test/package-tree.html">org.bitfountain.math.reedsolomon.test</A>, <A HREF="org/bitfountain/network/package-tree.html">org.bitfountain.network</A>, <A HREF="org/bitfountain/network/client/package-tree.html">org.bitfountain.network.client</A>, <A HREF="org/bitfountain/network/packets/package-tree.html">org.bitfountain.network.packets</A>, <A HREF="org/bitfountain/network/server/package-tree.html">org.bitfountain.network.server</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">org.bitfountain.math.<A HREF="org/bitfountain/math/ArrayUtils.html" title="class in org.bitfountain.math"><B>ArrayUtils</B></A><LI TYPE="circle">org.bitfountain.io.<A HREF="org/bitfountain/io/ChunkedFileReader.html" title="class in org.bitfountain.io"><B>ChunkedFileReader</B></A><LI TYPE="circle">org.bitfountain.gui.client.<A HREF="org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client"><B>ClientApp</B></A><LI TYPE="circle">org.bitfountain.network.client.<A HREF="org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client"><B>ClientCommunication</B></A><LI TYPE="circle">org.bitfountain.network.server.<A HREF="org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server"><B>ClientInfo</B></A><LI TYPE="circle">java.awt.Component (implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable)
<UL>
<LI TYPE="circle">java.awt.Container<UL>
<LI TYPE="circle">javax.swing.JComponent (implements java.io.Serializable)
<UL>
<LI TYPE="circle">javax.swing.JMenuBar (implements javax.accessibility.Accessible, javax.swing.MenuElement)
<UL>
<LI TYPE="circle">org.bitfountain.gui.client.<A HREF="org/bitfountain/gui/client/MenuBar.html" title="class in org.bitfountain.gui.client"><B>MenuBar</B></A></UL>
<LI TYPE="circle">javax.swing.JPanel (implements javax.accessibility.Accessible)
<UL>
<LI TYPE="circle">org.bitfountain.gui.server.<A HREF="org/bitfountain/gui/server/ConfigPane.html" title="class in org.bitfountain.gui.server"><B>ConfigPane</B></A> (implements javax.swing.event.ChangeListener)
<LI TYPE="circle">org.bitfountain.gui.client.items.<A HREF="org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items"><B>Item</B></A><UL>
<LI TYPE="circle">org.bitfountain.gui.client.catalog.<A HREF="org/bitfountain/gui/client/catalog/CatalogItem.html" title="class in org.bitfountain.gui.client.catalog"><B>CatalogItem</B></A><LI TYPE="circle">org.bitfountain.gui.client.transfer.<A HREF="org/bitfountain/gui/client/transfer/TransferItem.html" title="class in org.bitfountain.gui.client.transfer"><B>TransferItem</B></A><UL>
<LI TYPE="circle">org.bitfountain.gui.client.download.<A HREF="org/bitfountain/gui/client/download/DownloadItem.html" title="class in org.bitfountain.gui.client.download"><B>DownloadItem</B></A><LI TYPE="circle">org.bitfountain.gui.client.upload.<A HREF="org/bitfountain/gui/client/upload/UploadItem.html" title="class in org.bitfountain.gui.client.upload"><B>UploadItem</B></A></UL>
</UL>
<LI TYPE="circle">org.bitfountain.gui.client.upload.<A HREF="org/bitfountain/gui/client/upload/UploadButtons.html" title="class in org.bitfountain.gui.client.upload"><B>UploadButtons</B></A></UL>
<LI TYPE="circle">javax.swing.JScrollPane (implements javax.accessibility.Accessible, javax.swing.ScrollPaneConstants)
<UL>
<LI TYPE="circle">org.bitfountain.gui.client.items.<A HREF="org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items"><B>ItemList</B></A><UL>
<LI TYPE="circle">org.bitfountain.gui.client.catalog.<A HREF="org/bitfountain/gui/client/catalog/CatalogList.html" title="class in org.bitfountain.gui.client.catalog"><B>CatalogList</B></A><LI TYPE="circle">org.bitfountain.gui.client.transfer.<A HREF="org/bitfountain/gui/client/transfer/TransferList.html" title="class in org.bitfountain.gui.client.transfer"><B>TransferList</B></A><UL>
<LI TYPE="circle">org.bitfountain.gui.client.download.<A HREF="org/bitfountain/gui/client/download/DownloadList.html" title="class in org.bitfountain.gui.client.download"><B>DownloadList</B></A><LI TYPE="circle">org.bitfountain.gui.client.upload.<A HREF="org/bitfountain/gui/client/upload/UploadList.html" title="class in org.bitfountain.gui.client.upload"><B>UploadList</B></A></UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">java.awt.Window (implements javax.accessibility.Accessible)
<UL>
<LI TYPE="circle">java.awt.Frame (implements java.awt.MenuContainer)
<UL>
<LI TYPE="circle">javax.swing.JFrame (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<UL>
<LI TYPE="circle">org.bitfountain.gui.client.<A HREF="org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client"><B>MainWindow</B></A></UL>
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">org.bitfountain.math.reedsolomon.test.<A HREF="org/bitfountain/math/reedsolomon/test/EncodeDecodeTest.html" title="class in org.bitfountain.math.reedsolomon.test"><B>EncodeDecodeTest</B></A><LI TYPE="circle">org.bitfountain.gui.client.<A HREF="org/bitfountain/gui/client/EventHandler.html" title="class in org.bitfountain.gui.client"><B>EventHandler</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">org.bitfountain.network.server.<A HREF="org/bitfountain/network/server/FileReceiveTask.html" title="class in org.bitfountain.network.server"><B>FileReceiveTask</B></A><LI TYPE="circle">org.bitfountain.network.server.<A HREF="org/bitfountain/network/server/FileSendTask.html" title="class in org.bitfountain.network.server"><B>FileSendTask</B></A> (implements org.bitfountain.network.<A HREF="org/bitfountain/network/Task.html" title="interface in org.bitfountain.network">Task</A>)
<LI TYPE="circle">org.bitfountain.math.reedsolomon.<A HREF="org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon"><B>GaloisField</B></A><LI TYPE="circle">org.bitfountain.gui.<A HREF="org/bitfountain/gui/ImageUtils.html" title="class in org.bitfountain.gui"><B>ImageUtils</B></A><LI TYPE="circle">org.bitfountain.gui.client.items.<A HREF="org/bitfountain/gui/client/items/ItemListRenderer.html" title="class in org.bitfountain.gui.client.items"><B>ItemListRenderer</B></A> (implements javax.swing.ListCellRenderer)
<LI TYPE="circle">org.bitfountain.gui.client.<A HREF="org/bitfountain/gui/client/LoginWindow.html" title="class in org.bitfountain.gui.client"><B>LoginWindow</B></A><LI TYPE="circle">org.bitfountain.math.<A HREF="org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math"><B>Matrix</B></A><LI TYPE="circle">org.bitfountain.gui.<A HREF="org/bitfountain/gui/MimeTypes.html" title="class in org.bitfountain.gui"><B>MimeTypes</B></A><LI TYPE="circle">org.bitfountain.gui.notifications.<A HREF="org/bitfountain/gui/notifications/Notification.html" title="class in org.bitfountain.gui.notifications"><B>Notification</B></A><LI TYPE="circle">org.bitfountain.network.packets.<A HREF="org/bitfountain/network/packets/Packet.html" title="class in org.bitfountain.network.packets"><B>Packet</B></A><UL>
<LI TYPE="circle">org.bitfountain.network.packets.<A HREF="org/bitfountain/network/packets/CancelTransfer.html" title="class in org.bitfountain.network.packets"><B>CancelTransfer</B></A><LI TYPE="circle">org.bitfountain.network.packets.<A HREF="org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets"><B>FileHeader</B></A><LI TYPE="circle">org.bitfountain.network.packets.<A HREF="org/bitfountain/network/packets/FileList.html" title="class in org.bitfountain.network.packets"><B>FileList</B></A> (implements java.lang.Iterable&lt;T&gt;)
<LI TYPE="circle">org.bitfountain.network.packets.<A HREF="org/bitfountain/network/packets/FileNotFound.html" title="class in org.bitfountain.network.packets"><B>FileNotFound</B></A><LI TYPE="circle">org.bitfountain.network.packets.<A HREF="org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets"><B>FilePart</B></A><LI TYPE="circle">org.bitfountain.network.packets.<A HREF="org/bitfountain/network/packets/FileRequest.html" title="class in org.bitfountain.network.packets"><B>FileRequest</B></A></UL>
<LI TYPE="circle">org.bitfountain.gui.client.<A HREF="org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client"><B>Preferences</B></A><LI TYPE="circle">org.bitfountain.math.reedsolomon.<A HREF="org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon"><B>RSAlgorithm</B></A><UL>
<LI TYPE="circle">org.bitfountain.math.reedsolomon.decoding.<A HREF="org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding"><B>RSDecoder</B></A><UL>
<LI TYPE="circle">org.bitfountain.math.reedsolomon.decoding.<A HREF="org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding"><B>RSNetDecoder</B></A> (implements org.bitfountain.network.<A HREF="org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A>)
</UL>
<LI TYPE="circle">org.bitfountain.math.reedsolomon.encoding.<A HREF="org/bitfountain/math/reedsolomon/encoding/RSEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding"><B>RSEncoder</B></A><UL>
<LI TYPE="circle">org.bitfountain.math.reedsolomon.encoding.<A HREF="org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding"><B>RSNetEncoder</B></A> (implements org.bitfountain.network.<A HREF="org/bitfountain/network/Task.html" title="interface in org.bitfountain.network">Task</A>)
</UL>
</UL>
<LI TYPE="circle">org.bitfountain.network.server.<A HREF="org/bitfountain/network/server/Server.html" title="class in org.bitfountain.network.server"><B>Server</B></A><LI TYPE="circle">org.bitfountain.gui.server.<A HREF="org/bitfountain/gui/server/ServerApp.html" title="class in org.bitfountain.gui.server"><B>ServerApp</B></A> (implements org.bitfountain.io.<A HREF="org/bitfountain/io/Logger.html" title="interface in org.bitfountain.io">Logger</A>)
<LI TYPE="circle">org.bitfountain.network.server.<A HREF="org/bitfountain/network/server/ServerCommunication.html" title="class in org.bitfountain.network.server"><B>ServerCommunication</B></A><LI TYPE="circle">org.bitfountain.gui.notifications.<A HREF="org/bitfountain/gui/notifications/SlideInTest.html" title="class in org.bitfountain.gui.notifications"><B>SlideInTest</B></A><LI TYPE="circle">java.lang.Throwable (implements java.io.Serializable)
<UL>
<LI TYPE="circle">java.lang.Exception<UL>
<LI TYPE="circle">org.bitfountain.math.<A HREF="org/bitfountain/math/SingularMatrixException.html" title="class in org.bitfountain.math"><B>SingularMatrixException</B></A></UL>
</UL>
<LI TYPE="circle">org.bitfountain.math.<A HREF="org/bitfountain/math/Vector.html" title="class in org.bitfountain.math"><B>Vector</B></A></UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.bitfountain.io.<A HREF="org/bitfountain/io/Logger.html" title="interface in org.bitfountain.io"><B>Logger</B></A><LI TYPE="circle">org.bitfountain.network.<A HREF="org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network"><B>Progressive</B></A><UL>
<LI TYPE="circle">org.bitfountain.network.<A HREF="org/bitfountain/network/Task.html" title="interface in org.bitfountain.network"><B>Task</B></A></UL>
<LI TYPE="circle">org.bitfountain.gui.client.<A HREF="org/bitfountain/gui/client/ProgressListener.html" title="interface in org.bitfountain.gui.client"><B>ProgressListener</B></A></UL>
<H2>
Enum Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<UL>
<LI TYPE="circle">org.bitfountain.network.packets.<A HREF="org/bitfountain/network/packets/Packet.PacketType.html" title="enum in org.bitfountain.network.packets"><B>Packet.PacketType</B></A></UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
